// ChemMonitorDlg.h : header file
//

#if !defined(AFX_CHEMMONITORDLG_H__E2570E86_E91B_11D1_AEE0_444553540000__INCLUDED_)
#define AFX_CHEMMONITORDLG_H__E2570E86_E91B_11D1_AEE0_444553540000__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <Creatures/CreaturesConversation.h>
#include <string>

/////////////////////////////////////////////////////////////////////////////
// CChemMonitorDlg dialog

class CChemMonitorDlg : public CDialog
{
// Construction
public:
	CChemMonitorDlg(CWnd* pParent = NULL);	// standard constructor
	~CChemMonitorDlg();

	Creatures::Session* fSession;
	UINT fTimerHandle;
	std::string fMacroToExecute;

	void ResetButtons();
	void StartTimer();
	void StopTimer();

// Dialog Data
	//{{AFX_DATA(CChemMonitorDlg)
	enum { IDD = IDD_CHEMMONITOR_DIALOG };
	CButton	fCloseButton;
	CEdit	fResultEdit;
	CListBox	fChemList;
	CEdit	fCAOSEdit;
	CButton	fRemoveButton;
	CButton	fExecuteButton;
	CButton	fDisconnectButton;
	CButton	fConnectButton;
	CButton	fAddButton;
	CString	fCAOSText;
	CString	fResultText;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CChemMonitorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CChemMonitorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnConnectButton();
	afx_msg void OnDisconnectButton();
	afx_msg void OnAddButton();
	afx_msg void OnRemoveButton();
	afx_msg void OnExecuteButton();
	afx_msg void OnSelchangeChemList();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHEMMONITORDLG_H__E2570E86_E91B_11D1_AEE0_444553540000__INCLUDED_)
